
package de.ivu.elect.presentation.niederschrift.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.AbstractMenuModelBuilder;
import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Named(NiederschriftSearchMenu.COMPONENT_NAME)
public class NiederschriftSearchMenu extends AbstractMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "niederschriftSearchMenu";

  @Inject
  private transient NiederschriftStatusAenderungCreateMenuItemEntry niederschriftStatusAenderungCreateMenuItemEntry;

  public NiederschriftSearchMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(niederschriftStatusAenderungCreateMenuItemEntry);

    return result;
  }
}
